Subject: Re: Mentoring

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 14 Mar 2013 12:47:06 +0100

I agree. However, it will be helpful to know how many newcomers do
participate in their related WGs, and how do WG Chairs work close with
thoes newcomers, to bring more new people. Is their opportunities for
newcomers to join the work as co-editors in the group or they are
still newcomers and no chance with the oldcomers? was this question
answered or asked :)

AB

> Hi,
>
> Two suggestions that seemed easier to send in email than to
> stand in the mic line that I'd encourage people to think about...
>
> (1) I've found the Newcomer's Meet-and-Greet very useful in
> finding newcomers I want to keep and eye on and try to help move
> along and my personal instincts are to go for diversity in those
> decisions.  But those sessions are open only to WG Chairs and
> IAB and IESG members --people who tend to be among the more
> overextended in terms of schedules-- in addition to the
> newcomers.  So those sessions are more useful for giving
> newcomers an opportunity to meet relevant WG Chairs (for
> example) than for setting up any sort of mentoring relationship.
> It may be worth thinking a bit about some other ways of
> establishing relevant contacts, perhaps (as is done with ISOC
> IETF Fellows) even getting those relationships in place before
> the newcomer shows up.
>
> (2) This applies to leadership development as well as to the
> diversity and mentoring issues in particular, but the focus on
> WG Chairs and I* members tends to exclude and underutilize what
> should be an important resource.  There are a bunch of people
> around who have retired from formal leadership positions (and
> who are trying to stay retired).  At least in principle, we have
> more flexible time than, e.g., an IESG member.  We should be
> available for mentoring -- it is probably the most important
> thing we can do.  But the system isn't well-organized now to
> utilize us in that way and probably we should be thinking
> together about how to improve that.
>
>    john
>